{% extends 'base.html.twig' %}

{% block title %}IndexAction{% endblock %}

{%  block styles %}
    {{ parent() }}
    <style>
        .custom_button{
            margin-top: 7px;
            width: 90px;
        }
    </style>
{% endblock %}

{% block new_button %}
    <a href="{{ path('edit-action-first') }}" type="button" class="btn btn-success custom_button">{{ 'new' | trans }}</a>
{% endblock %}

{% block tablecontent %}

    {% if message is defined %}
        <div class="alert alert-danger alert-dismissible" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            {{ message }}
        </div>
    {% endif %}

    <thead>
    <tr>
        <th>{{ 'id' | trans }}</th>
        <th>{{ 'name' | trans }}</th>
        <th>Email</th>
        <th>{{ 'actions' | trans }}</th>
    </tr>
    </thead>

    {% for part in array %}
        <tbody>
        <tr>
            <td>{{ part.id }}</td>
            <td><a href="{{ path('show-action', {'id': part.id}) }}">{{ part.username }}</a></td>
            <td>{{ part.email }}</td>
            <td>
                <a href="{{ path('edit-action-second', {'id': part.id}) }}" type="button" class="btn btn-primary">{{ 'edit' | trans }}</a>
                <!--You can check this request with postman-->
                <a href="{{ path('delete-action', {'id': part.id }) }}" type="button" class="btn btn-danger">{{ 'delete' | trans }}</a>
            </td>
        </tr>
        </tbody>
    {% endfor %}

{% endblock %}
